Extending Qt Creator Manual | DebugSymbolGroupNodeVisitor

Extending Qt Creator Manual 4.8.1

# DebugSymbolGroupNodeVisitor Class

The DebugSymbolGroupNodeVisitor class is a debug output visitor. More...

Header: | #include <DebugSymbolGroupNodeVisitor>
Inherits: | SymbolGroupNodeVisitor
Inherited By: | DebugFilterSymbolGroupNodeVisitor

- List of all members, including inherited members

## Public Functions

| DebugSymbolGroupNodeVisitor(int &os, unsigned int verbosity = 0)

## Reimplemented Protected Functions

virtual SymbolGroupNodeVisitor::VisitResult | visit(AbstractSymbolGroupNode *node, const std::string &fullIname, unsigned int child, unsigned int depth)

- 3 protected functions inherited from SymbolGroupNodeVisitor

### Additional Inherited Members

- 2 static public members inherited from SymbolGroupNodeVisitor
- 3 protected functions inherited from SymbolGroupNodeVisitor

## Detailed Description

The DebugSymbolGroupNodeVisitor class is a debug output visitor.

## Member Type Documentation

## Property Documentation

## Member Function Documentation

### DebugSymbolGroupNodeVisitor::DebugSymbolGroupNodeVisitor(int &os, unsigned int verbosity = 0)

Default constructs an instance of DebugSymbolGroupNodeVisitor.

### `[virtual protected]` SymbolGroupNodeVisitor::VisitResult DebugSymbolGroupNodeVisitor::visit(AbstractSymbolGroupNode *node, const std::string &fullIname, unsigned int child, unsigned int depth)

## Member Variable Documentation

## Related Non-Members

## Macro Documentation